package com.philisense.www.service.impl;


import com.philisense.www.dao.ProUserAuthDAO;
import com.philisense.www.service.ProUserAuthService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


import java.util.List;
import java.util.Map;

@Service
public class ProUserAuthServiceImpl implements ProUserAuthService {

@Autowired
private ProUserAuthDAO proUserAuthDAO;

@Override
public int deleteByPrimaryKey(String id) {
return proUserAuthDAO.deleteByPrimaryKey(id);
}

@Override
public Map<String, Object> selectByPrimaryKey(String id) {
return proUserAuthDAO.selectByPrimaryKey(id);
}

@Override
public int insert(Map<String, Object> map) {
return proUserAuthDAO.insert(map);
}

@Override
public int update(Map<String, Object> map) {
return proUserAuthDAO.update(map);
}

@Override
public int deleteByMap(Map<String, Object> map) {
return proUserAuthDAO.deleteByMap(map);
}

@Override
public int updateByMap(Map<String, Object> map) {
return proUserAuthDAO.updateByMap(map);
}

@Override
public Map<String, Object> getOne(Map<String, Object> map) {
return proUserAuthDAO.getOne(map);
}

@Override
public List<Map<String, Object>> getAll(Map<String, Object> map) {
return proUserAuthDAO.getAll(map);
}

@Override
public List<Map<String, Object>> queryPage(Map<String, Object> map) {
return proUserAuthDAO.queryPage(map);
}

@Override
public int count(Map<String, Object> map) {
return proUserAuthDAO.count(map);
}

@Override
public void insertBatch(List<Map<String, Object>> list) {
proUserAuthDAO.insertBatch(list);
}

@Override
public void deleteBatch(List<Map<String, Object>> list) {
proUserAuthDAO.deleteBatch(list);
}

@Override
public void updateBatch(List<Map<String, Object>> list) {
proUserAuthDAO.updateBatch(list);
}

    @Override
    public List<Map<String, Object>> getPageProUserByAuthId(Map<String, Object> map) {
        return proUserAuthDAO.getPageProUserByAuthId(map);
    }

    @Override
    public int getCountProUserByAuthId(Map<String, Object> map) {
        return proUserAuthDAO.getCountProUserByAuthId(map);
    }
}